<!DOCTYPE html>
<html>
	<head>
		<title>Demo</title>
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
		<script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.2.0/socket.io.js"></script>
		<script src="https://bslivoicetest30-09.firebaseapp.com/RecordRTC.min.js"></script>
		<script src="https://avaamo-demo-asset.s3.ap-south-1.amazonaws.com/public/js/voice.js"></script>
	</head>

	<body>
		<h1>Demo</h1>
		<p>Welcome to Demo</p>

		<script type="text/javascript">
			var audioPlaying = false;
			var audio_queue = [];
			var pop_up = false;

			var AvaamoChatBot = function (t) {
				function o(t, o) {
					var n = document.createElement("script");
					n.setAttribute("src", t),
						n.setAttribute("id", "avm-web-channel"),
						(n.onload = o),
						document.body.appendChild(n);
				}
				return (
					(this.options = t || {}),
					(this.load = function (t) {
						o(this.options.url, function () {
							window.Avaamo.addFrame(), t && "function" == typeof t && t(window.Avaamo);
						});
					}),
					this
				);
			};
			var chatBox = new AvaamoChatBot({
				// url: "https://c3.avaamo.com/web_channels/107c5ff8-2ebd-4cc3-b4f7-1c792b7c0078.js?theme=avm-messenger&audio_visible=true"
				url: "https://c3.avaamo.com/web_channels/c3f5041b-044d-4071-a9cd-4a31b62a9385.js?demo=true&audio_visible=true"
			});
			// Load and setup speech elements
			chatBox.load((avaamo) => {
				avaamo.onChatIframeLoad = () => {
					// Create interface
					var e = document.getElementById("avaamo__popup");
					createInterfaceOnElement(e, avaamo);
				};

				// // Speak out aloud
				// avaamo.onBotMessage = async (m) => await queueSpeech(m, 'Joanna');

				// On every message
				avaamo.onBotMessage = async (m) => {
					// Speak out aloud
					//await queueSpeech(m, 'Joanna');
					//Contextual hints
					// if (m.content == "Book an appointment to consult doctor")
					// 	avaamo.addVoiceHints([
					// 		"video",
					// 		"In clinic",
					// 		"appointment",
					// 		"cold",
					// 		"cough",
					// 		"tooth ache",
					// 		"dentist",
					// 		"general physician"
					// 	]);
					// else if (m.content == "Specialization")
					// 	avaamo.addVoiceHints([
					// 		"cavites",
					// 		"root cannal",
					// 		"tooth ache",
					// 		"tooth decay",
					// 		"tooth pain",
					// 		"cold",
					// 		"cold and cough",
					// 		"cough",
					// 		"fever",
					// 		"I have cold",
					// 		"I have cough"
					// 	]);
					// else if (m.content == "Select the doctor")
					// 	avaamo.addVoiceHints([
					// 		"Dr. Jerry",
					// 		"Jerry",
					// 		"Dr. Tom",
					// 		"Tom",
					// 		"Dr. Laxman",
					// 		"Laxman",
					// 		"Dr. Ram",
					// 		"Ram",
					// 		"Dr. Seetha",
					// 		"Seetha",
					// 		"Dr. Sofia",
					// 		"Sofia",
					// 		"Dr. Tom",
					// 		"Tom"
					// 	]);
					// else if (m.content == "Select the date") avaamo.addVoiceHints(["$OOV_CLASS_ALPHANUMERIC_SEQUENCE"]);
					// else if (m.content == "Select the time") avaamo.addVoiceHints(["$OOV_CLASS_ALPHANUMERIC_SEQUENCE"]);
					// else if (m.content == "Confrim Yes or NO") avaamo.addVoiceHints(["Yes", "No", "Yeah"]);
				};

				// //Contextual hints
				// avaamo.onBotMessage = m => {
				//     if (m.content == 'Where do you work?')
				//         avaamo.addVoiceHints(['Avaamo', 'Microsoft']);
				//     else if (m.content == 'What is your PAN number?')
				//         avaamo.addVoiceHints(['$OOV_CLASS_ALPHANUMERIC_SEQUENCE']);
				// }

				// Voice Replacements
				avaamo.voiceReplacements = (t) => {
					var replacementMap = {
						avaamo: "Avaamo"
					};
					var re = new RegExp(Object.keys(replacementMap).join("|"), "gi");
					return t.replace(re, function (matched) {
						return replacementMap[matched.toLowerCase()];
					});
				};

				// setTimeout(function () {
				// 	avaamo.openChatBox();
				// }, 1000);
			});
		</script>
	</body>
</html>
